import type { Options } from 'sass';
import type fs from 'fs';
export interface IOutFileOption {
    getVarName?: (key: string) => string;
    getVarValue?: (key: string) => string;
    replacement?: Record<string, string>;
    outfile?: string;
}
export interface OutputFileSystem {
    copyFileSync: typeof fs.copyFileSync;
    writeFileSync: typeof fs.writeFileSync;
}
export interface IGenerateOption {
    entryPoint: string;
    outdir?: string;
    files?: {
        extendColors?: IOutFileOption | boolean;
        variables?: IOutFileOption | boolean;
        root?: IOutFileOption | boolean;
        util?: IOutFileOption | boolean;
        export?: IOutFileOption | boolean;
    };
    sassOptions?: Options<'sync'>;
    outputFileSystem?: OutputFileSystem;
    write?: boolean;
}
export declare type FileEnumType = 'extendColors' | 'variables' | 'root' | 'export' | 'util';
